How To Download ANY Unsupported App On iOS! Updated 2021!

Share
Embed
  • Published on Nov 12, 2020
  • How To Download ANY Unsupported App On iOS! Updated 2020!
    SUBSCRIBE TO PINCH SOFT (THANK YOU): bit.ly/SUBTOPINCHSOFT
    iOS 10 Jailbreak: How To Jailbreak iOS 10.3.3 OR 10.3.4: thexvid.com/video/m7rIMzGSI8Q/video.html
    How To Download Unsupported Apps On iOS 7, 8, 9, AND 10!: thexvid.com/video/kWYgaIZlWv0/video.html
    iOS 14 Beta 1 iPhone 6s: thexvid.com/video/OusCcs-okjg/video.html
    Jailbreak iOS 13.5 NO COMPUTER: thexvid.com/video/XAEDL5X05qQ/video.html
    Un-Jailbreak Checkra1n (Removing Cydia): thexvid.com/video/SB4ASrIKrY0/video.html
    How To Download Unsupported Apps: thexvid.com/video/kWYgaIZlWv0/video.html
    So, if you are here, you obviously want to know how to download unsupported apps on your iPhone or iPad without a computer. Don't worry, I can help you, my video will show you a cydia tweak for how to download the last compatible version of any app! Unsupported iOS apps aren't much fun, actually they aren't fun at all, and they limit the use of your iPhone or iPad. That's not cool. This tweak will allow you to bypass these limits, and install unsupported iOS apps on any version of iOS. I used TheXvid as an example in my video, it said that it was an incompatible unsupported app, but, I installed the tweak, and then it worked perfectly.
    This tweak will work on any device from iPhone OS 3, all the way up to the current versions of iOS, but, it will mostly work on iOS 5, iOS 6, iOS 7, iOS 8, iOS 9, iOS 10, and iOS 11, as well as iOS 12, where the versions of apps are going to be less and less supported. Unsupported iOS apps are going to be a thing of the past with this tweak, called Checkmate, Store. It will work with your device, and restore functionality. It's free, and it makes any app that has a previous version attached to it, able to be downloaded if you have this tweak, so, any app you want, is available on any version you want, as long as it used to work with that version.
    This trick will also work for iPads, this includes the iPad 2. the iPad 2 is amazing, but, iOS 9 is old and apps are starting to not support it. I recommend using Checkmate, Store to use current apps with the iPad 2s software. iPad 2 is best with any apps that work with it. If you want your iPad 2 to be supported again in 2020, make sure that you install Checkmate, Store on your iPad 2. The iPad 2 is nearly 10 years old, and if you want your iPad 2 to hold up in 2020, you should probably put Checkmate, Store on your iPad 2.
    Business Inquiries: pinchsoftofficial@gmail.com
  • Howto & StyleHowto & Style

Comments • 258

  • Stencil Printshop
    Stencil Printshop 7 months ago +1

    GOOD JOB.been looking for this video. watching in 2021 october.. MORE SUBS TO YOU.clear and precise instruction / tutorial. SO HAPPY THAT I CAN INSTALL OTHER UNSUPPORTED APP. and btw like your voice

  • GD AidanTahan 🇺🇦

    This actually worked for me! Thanks!

  • Gemm Roa
    Gemm Roa Year ago +7

    Hey, great videos super easy to follow! I jailbroke my iPad 2 mini and that worked fine following your other tutorial, I've also then followed this one to attempt to download netflix but after completing all the steps in the video it still says apps not compatible when I attempt to download. Is there anything else I can do? Thanks :)

    • Angelo R.
      Angelo R. 8 months ago +1

      Same for me, anything I can do?

  • Josué Morel
    Josué Morel Year ago +1

    It worked great, thanks!

  • -
    - 6 months ago +10

    Doesn't work. The error message just changed, from "incompatible with this IPad" to "requires iOS 12 or newer"

    • ุrare ad leaks
      ุrare ad leaks 13 days ago

      @Spaiqwer hey, I have lowerinstall and yesterday it worked now it doesn't,any ideas how to fix it?

    • -
      - 23 days ago

      @Spaiqwer did my research and I hadn't heard of lowerinstall before, thanks for the info

    • Spaiqwer
      Spaiqwer 23 days ago

      No... The thing he did is that you dont need to have the app "purchased" before.For actually tricking app store into thinking its a newer device you have to use lowerinstall

    • -
      - 27 days ago

      @Ninett lysgaard Reinholdt the solution in the video is fake. The video is just for views

    • Ninett lysgaard Reinholdt
      Ninett lysgaard Reinholdt 27 days ago +1

      Its doesn’t work on my iPad either. What can be the problem?

  • aries xx
    aries xx 7 months ago +2

    It worked on youtube but when i tried to download netflix and twitch it says application requires 12.4 or later

  • Startoken Extra!
    Startoken Extra! Year ago +6

    Thank you your video was very helpful, I was able to install most of my apps. But when I go into TheXvid all I get is error to load. Do you know how to fix this?

  • tech tv
    tech tv Month ago +1

    Hey your video was super helpful and it really helped thanks I love you

  • Linda
    Linda 7 months ago +3

    Thx awesome work! but still doesn't work for never installed apps (nagging thing requires ios 13-14 or)

  • Kuya Panda
    Kuya Panda Year ago +1

    it did helped me out! as u said, i liked and subscribed. Thank you!

  • Airen Jainalaberin
    Airen Jainalaberin Year ago +3

    Thank you! Thanks you! Work perfectly! 😍

  • MCAN SONMEZ
    MCAN SONMEZ Year ago +2

    Very good my friend! Thanks !

  • BenJmusic
    BenJmusic 3 months ago

    I just did it to my iPod touch 5th generation. I am so thankful for you! Thanks so much! Now I can text my girlfriend!!! Thanks bro, I love ya!!!!

  • Saba Fatima
    Saba Fatima Year ago +9

    Even after jail breaking it doesn't allow us to download apps on app store. It shows that it requires ios 12 or later

  • deepak kumar
    deepak kumar Year ago +1

    Just the error message changed.. Now it is asking to update the ios to specific version like ios 11, 12 or 13.

  • Dung Nguyen
    Dung Nguyen Year ago +6

    It is not working for me. I have an ipad4 and Ipad mini1, both jailbroken and with Cydia by following your jailbreaking videos. I followed this video to install the Checkmate Store and it installed with no problem (Checkmate Store shows up in the Cydia installed tab). When I go to the App store to download Netflix, I still get the message, "This application requires iOS 13.0 or later". Other apps that require higher iOS versions also does not install. It is like the Checkmate Store limit does not work.

    • Nadine Schreiner
      Nadine Schreiner 9 months ago

      hi we have the same problem. have u found a solution ?

  • Kazi Kat!
    Kazi Kat! 9 months ago +1

    i’m still having trouble downloading some apps, like medibang paint, it won’t let me download it, and it also won’t let me download hulu, am i doing something wrong?

  • ChasePlays
    ChasePlays Month ago

    Everything worked thanks! But after I installed it feedback assistant poped up even though I’m not on beta iOS why?

  • Ilham Azrael
    Ilham Azrael 11 months ago +12

    so i just done this and now i got a pop up sayin "This app needs iOS 11 or Later". any idea to fix this?

    • Ender_Upp
      Ender_Upp 4 months ago

      @Ilham Azrael thanks. my problem is i don't own another apple device😅 i just did a jailbreak.

    • Ilham Azrael
      Ilham Azrael 4 months ago

      @Ender_Upp well i did figure it out myself.
      you need a second apple device where the same icloud account is logged in.
      there on the second device any apps you already owned / downloaded will automatically listed as cloud / paid apps.
      which you can download on your first device (where this problem occurs)

    • Ender_Upp
      Ender_Upp 4 months ago

      Did you find a answer?

  • ALIFTND
    ALIFTND 8 months ago +1

    I've try this,after i download the checkmate store i still cant download youtube or another app who needs ios 10++.i have notifications pop up and says "this app need ios 12 or newest" Something like that,
    Can you help me pls

  • randy guzman
    randy guzman 6 months ago +1

    thanks bro this worked perfect

  • Michael Yi
    Michael Yi Year ago

    Thanks! Keep it up!!

  • King
    King Year ago +1

    thank you this worked for me

  • jeffpinesso
    jeffpinesso Year ago +1

    worked perfectly !! thanksss

  • Amanda
    Amanda Year ago +6

    I did all that but it's still saying the app requires ios 11 or later for YT.

  • Vikram Jeisurya
    Vikram Jeisurya 11 months ago

    Nice, also would like to know how to download new unsupported apps without previous downloads.

  • Danny Winebarger
    Danny Winebarger Year ago

    This still only lets you download the compatible version for that ios version it dosent let you download the latest uncompatible version

    • Pinch Soft
      Pinch Soft  Year ago

      Yes. That is what it's supposed to do.

  • Yamem
    Yamem Year ago +6

    ive done everything it doesn't work. it has some potential might work for others but not for me :(((

    • Isteak Hossain
      Isteak Hossain Year ago +1

      Pinch Soft It is not working.......Everything is installed and jail broken........dnt know wat to do......still pops up the same shit

    • Klára Secret
      Klára Secret Year ago +1

      @Pinch Soft for me it's not working too and i've got iphone 4s

    • Pinch Soft
      Pinch Soft  Year ago

      It's now updated and currently working.

  • Rana Hassan Nawaz
    Rana Hassan Nawaz Year ago +1

    I don't have cydia in i pod ios 9.3.5 . what should i do ?
    Cydia is also not downloading

  • Nompumelelo Motaung Bennetto

    when I try adding the source it keeps saying "can't fetch source"....please help

  • Robin Pfeil
    Robin Pfeil Year ago +8

    Best tutorial for this ever made

  • yobi 💓
    yobi 💓 Year ago +1

    Thank u so much 😄👏🏻

    • yobi 💓
      yobi 💓 Year ago

      @siyah yes!

    • siyah
      siyah Year ago +1

      do it actually work ??

  • Fahmid Nafiz
    Fahmid Nafiz 11 months ago +3

    It's not working it says "this application require iOS 11 or later " please 🥺 🙏 help me . Please 🥺🥺🙏

  • Nesrine Aliane
    Nesrine Aliane 9 months ago +7

    OMG!! finally something that REALLY DO WORK, thank you so much.

  • Hugo Horvath
    Hugo Horvath Year ago

    I want to download imgur but it still says it isnt compatible ( iOS 13+ )

  • B r a n d o n .
    B r a n d o n . Year ago

    It cant install apps because it requires ios 10 or later,I dont know why it doesn't works

  • ZeLemun
    ZeLemun 5 months ago +1

    Hey, so i have an iPhone 5 (jailbroken) it says that it need iOS ...
    Update the video please ;)

  • Omkar Patil
    Omkar Patil Year ago +9

    Not working it still says "This app is not compatible with this device" Please help ❤

    • TiradorPolaco
      TiradorPolaco 10 months ago

      oh yeah so it depends on how old the app is

  • Ahmad Yasmine
    Ahmad Yasmine Year ago

    tanks it worked 😂

  • Emad Adel
    Emad Adel 10 months ago +1

    Thank you!

  • Jasmina Borgard
    Jasmina Borgard 8 months ago

    unfortunately this still not works with Spotify. I can download it but cant log in to my account.
    What can I do?

  • Qwerty Poiuyt
    Qwerty Poiuyt 6 months ago

    doesn't work all of the way anymore like if you try installing youtube music on ios 10.3.3 it says requires ios 12 or later

  • PHONK787
    PHONK787 6 months ago +3

    To everyone having problems:
    It will only work, if there already was an app for your iOS version back in the days.

    • aymenplaydu91ytb
      aymenplaydu91ytb 9 days ago

      @beast infection plus if you want to use an old phone cuz you like

    • aymenplaydu91ytb
      aymenplaydu91ytb 9 days ago

      @beast infection outdated and is not safe and is unsupportes anymore and is on a new version so no jailbreaking useless phone its like buying a cheap phone its will die soon but here its apple and here in europe its more like 120 euros

    • beast infection
      beast infection 19 days ago

      @inaya
      the iphone 6s and iphone SE (first gen) are on iOS 15 and they only cost like $50 lol

    • inaya
      inaya 19 days ago

      @beast infection we are not all rich 🤦‍♀

    • beast infection
      beast infection Month ago

      @Funny Gecko
      just get an iphone thats on ios 12 or later… 🤦‍♀️

  • David Luis Dumaguing

    Thank you mam keep going ❤️👍🇵🇭👉♥️👈

  • Benjamin Millward
    Benjamin Millward 4 months ago

    This hasn't worked for me. Any ideas on why?

  • cr4sh g4mer
    cr4sh g4mer Month ago

    you're a legend man

  • Davv
    Davv 2 months ago

    I can download snapchat on my iphone 4s but when i log in to my account on snapchat it says i am using a version thats no longer supported, what can i do to still use snapchat on this iphone cause thats all i want.

  • DarkZide
    DarkZide 11 months ago

    doesnt work for me no cloud icon appeared remained same

  • MercuryDimeV
    MercuryDimeV Month ago

    I have the same phone you got lol iPhone 4s white, also it works!

  • Ana Vita
    Ana Vita Year ago

    I did everything..i have pad mini 2. and still doesnt work for any apps! why???

  • Pinch Soft
    Pinch Soft  Year ago +5

    Download My New Free Game!! Works on iOS 7 and up! apps.apple.com/us/app/space-monster/id1555311691
    Subscribe To Pinch Soft: bit.ly/SUBTOPINCHSOFT
    Join The Pinch Soft Discord Server: discord.gg/Fc9h4Aq

  • Zane Burko
    Zane Burko 8 months ago

    exactly, what i needed.... but didn't work...

  • SapphTech
    SapphTech 11 months ago

    Doesn’t work on iOS 8
    Edit: it now works (after a reboot)

    • Not Tbone
      Not Tbone 8 months ago

      Yo how to download cydia and phoenix??

  • Gregory Palmer
    Gregory Palmer 2 months ago

    how did u get the TheXvid app to work? mine keeps saying update required

  • Mukesh Chawla
    Mukesh Chawla Year ago +1

    It works perfectly for 2-3 using of TheXvid app after thst upade required msg pop up that is " you must update to continue "

    • Pinch Soft
      Pinch Soft  Year ago +1

      Yes, that is a newer issue, I'm trying to find a good way to fix it.

  • Pixels
    Pixels 11 months ago

    It doesn't work on iOS 10.3

  • Zaiman -
    Zaiman - 16 days ago

    i cant find cydia in the app store can someone help me

  • DieselMars
    DieselMars Year ago +2

    On my iPhone 4s, it doesn't work. I tried installing the limit remover and it seems like it worked, but it still says the same thing it normally would. (Says it needs iOS 11 or higher.)

    • ALT_dragon
      ALT_dragon 5 months ago

      same

    • Bilal Muhammed
      Bilal Muhammed 8 months ago

      You can only download an app if there is the last compatable version for it....otherwise most apps like nowadays which might've launched recently in the app store wouldnt have a last compatable version because the app started most probably like when iOS 10 or 12 were released....by as shown in the video....since TheXvid app was there even at the time of iPhone 4....you can download the old version for it

    • Aryani Gianna
      Aryani Gianna Year ago

      me too:(

    • Hanze Avelino
      Hanze Avelino Year ago

      Can you help me plss

    • Hanze Avelino
      Hanze Avelino Year ago

      Mee too

  • Robert Glumbík
    Robert Glumbík Year ago +3

    Can i somehow do it when i dont have these apps in my purchased?

    • Pinch Soft
      Pinch Soft  Year ago

      Yeah it will work. In fact, that's even better because most of the time, the app is already archived.

  • Mohammed Jamil
    Mohammed Jamil 2 months ago

    I tried it but it doesn't work now

  • Nnmlo
    Nnmlo Year ago

    thanks thanks thanks thanks

  • Disagio
    Disagio 10 days ago

    I still cant download Disney +. Is there a way to install it anyway?

  • Päblõ
    Päblõ 5 months ago +1

    Hi how did you download Cydia?

  • Norman Nilsson
    Norman Nilsson Year ago

    I tried downloading an incompatible app after install check mate store, but it asks me to update my iPad, and I can't because it's an iPad mini 1

    • Pinch Soft
      Pinch Soft  Year ago

      Ok, I think this is because the app is newer than when the iPad stopped getting updates, that could be why.

  • penguin are cool
    penguin are cool 6 months ago

    It still show up is it patched? I reinstalled app admin and check mate store like twice now

  • Joanne Thompson
    Joanne Thompson 8 months ago

    My ipad 2 came up with the same unable to purchase thing :/

  • Rose Min
    Rose Min Year ago

    Where can i download cydia?

  • Carlos Santana
    Carlos Santana 8 months ago

    thanks a lot!!

  • rosean sterling
    rosean sterling Year ago

    I even reinstalled it & still not working on iPhone 5c

  • Juan Pablo Davíla

    awesome !!!!

  • Joshua Azaña
    Joshua Azaña Year ago

    How about ios 7.1.2 ? What legit jailbreak app should I install?

    • Mister Cat
      Mister Cat Year ago +1

      iOS 7 jealbreak requires a pc

  • Epic Paul
    Epic Paul Year ago +2

    Its not working for me

  • halojumper81
    halojumper81 Year ago

    It worked for youtube and Netflix but not for disney+ is there something special I have to do to make it download disney+? Thanks in advance

    • Hanze Avelino
      Hanze Avelino Year ago

      Help i can't download youtube

    • j j
      j j Year ago

      How did you get Netflix ?

  • kermitthefrog37
    kermitthefrog37 Year ago

    It shows cached failure

  • mtn
    mtn 6 months ago

    how can I do that when my app store identity is new?

  • SANDEEP DIXIT
    SANDEEP DIXIT 8 months ago +1

    Thanks

  • Jameeng Sy
    Jameeng Sy 2 months ago

    How about to iOS 7.1.2?

  • Rj Atoralde
    Rj Atoralde 8 months ago

    Where can i download cydia?

  • Myung Alcohollica
    Myung Alcohollica 7 months ago

    not working on brave browser. please help

  • Wilhelmina Kandjeke

    I did everything, but it still doesn't want to download. It's stil saying that it is incompatible.

    • Pinch Soft
      Pinch Soft  Year ago

      Try reinstalling Checkmate Store.

  • Adi Rai
    Adi Rai Year ago

    It dint work 😔

  • YALUNG, Nina Mikaela

    After i downloaded the apps i needed, can i uninstall cydia and phoenix after?

  • Oliver Montero
    Oliver Montero Year ago +1

    not working on my ipad3 :-(

  • Erica Nicdao
    Erica Nicdao Year ago

    I have enough cydia in my iphone 4s

  • angelwhooo
    angelwhooo 10 months ago

    not working i dont get the cloud

  • Recoil Master
    Recoil Master 7 months ago

    There is no cloud button in app store my 5c is jailbreal but still can't instal youtube

  • CheeseNebula
    CheeseNebula Year ago +1

    Bruh I dont wanna jailbreak my iPad. I’m done with these dumb jailbreaks. I want to use a normal one

    • Pinch Soft
      Pinch Soft  Year ago

      @Twisty Turns Exactly.

    • newcatbro
      newcatbro Year ago

      well then its impossible for you to get unsupported apps if you dont wanna jailbreak

  • Tenuun Ganzorig
    Tenuun Ganzorig Year ago

    Do i need to unplug my charger when i install checkmate store

  • Sittie Sohaira Pacatua

    What if I don't have Cydia app in my cellphone

  • Nico Alcock
    Nico Alcock Month ago

    Does work on ipad

  • Tashbi Hossain
    Tashbi Hossain Year ago +1

    Can you help with ifile i named my ipad ios 6.0 for the software and after i cant do anything with my ipad can you help

    • Tashbi Hossain
      Tashbi Hossain Year ago

      And also it thinks i am on ios 6 so i cant get ifile

  • Princess Pearl Eniego

    It doesn’t work on my iPad 3rd gen 🥺

    • Pinch Soft
      Pinch Soft  Year ago

      What's going wrong, I'd be happy to help.

  • amine Sp
    amine Sp 26 days ago

    thank youu love

  • M J
    M J Year ago

    It didn't work on me🥺😭

  • Zakaria Kabli
    Zakaria Kabli Year ago

    Thanks

  • Benolirao Andrei
    Benolirao Andrei Year ago

    how to download cydia?pls i need this for educational purpose

  • Trevor Jax
    Trevor Jax 9 months ago

    Does not work for me. Is it because I'm using a brand new icloud account?

  • Yeabsira Mulugeta

    it doesn't work

  • Tobin’s Tech
    Tobin’s Tech Year ago

    This wouldn't work for me on my ipad 2 running ios 6.1.3

    • Pinch Soft
      Pinch Soft  Year ago

      Which app are you trying to install?

  • Ami
    Ami Day ago

    didnt work